Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.mapper.impl
Class MapperDozerImpl

    java.lang.Object
      be.ehealth.technicalconnector.mapper.impl.MapperDozerImpl

All Implemented Interfaces:
  Mapper, ConfigurableImplementation

    public final class MapperDozerImpl

extends Object
implements Mapper, ConfigurableImplementation

Implementation of `Mapper` using the Dozer technology.

Field Summary

Fields inherited from interface be.ehealth.technicalconnector.mapper.Mapper
`MAPPING_FILES`

Constructor Summary
`MapperDozerImpl()`

Method Summary
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.
`
`<T> T`
` | `map(Object source, Class<T> clazz)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapperDozerImpl

    public MapperDozerImpl()

Method Detail

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.
  See Also:
    `ConfigurableImplementation.initialize(java.util.Map)`

### map

    public <T> T map(Object source,
                     Class<T> clazz)

  Specified by:
    `map` in interface `Mapper`
  See Also:
    `Mapper.map(java.lang.Object, java.lang.Class)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.